Subject: bug#54162: 29.0.50; notmuch search for nnmaildir is broken

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 25 Feb 2022 20:28:32 -0800

On 02/25/22 12:53 PM, Eric Abrahamsen wrote:
> jao <[email-masked]> writes:
>
>> On Fri, Feb 25 2022, Eric Abrahamsen wrote:
>>
>> [...]
>>
>>> Noooooooooooooo......
>>
>> my thoughts exactly! :)
>>
>>> Okay, that out of the way, I wonder if the fact that your server doesn't
>>> have a "name" is causing the error. I'll try setting up something like
>>> that locally and reporting back.
>>
>> yes, i just tried and, if i give a name to the server, things seem to
>> work.  phew! it'd be nice to have it working with an empty name, but i
>> can certainly live with that.
>
> Oh good, I'm glad it was an easy fix.
>
> While I think empty name strings should be gently discouraged, it should
> definitely still work. I'll figure out what's happened and close this
> bug when I've got it.

Bad news, I set up a nnmaildir server with a blank string for a name,
and it worked just fine. Right after you search a group and it fails,
can you show me the beginning value of this server in
`nnmaildir--servers': not the whole thing with all the message headers,
but the part that looks like:

(#1="" . #s(nnmaildir--srv :address #1# :method
			    (nnmaildir #1#
				       (directory "/tmp/emacs-gnus-mock-6ri742/test/")
				       (get-new-mail nil))
			    :prefix #1# :dir "/tmp/emacs-gnus-mock-6ri742/test/" :ls directory-files :groups #<hash-table equal 3/3 0x1588ffa44bcf> :curgrp #59=#s(nnmaildir--grp :name #7="mails" :new